
Redmine - Defect #5817

Shared versions not shown in subproject's gantt chart

2010-07-05 11:15 - GM 77

Status: Closed Start date: 2010-07-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

I'm using the shared version feature (issue #465) to use a version of a parent project in a child project's issue as target version.  This

works basically but in the subproject's gantt the version is not shown.

This bug can by reproduced in the redmine demo setup, the main project defining several versions using

all three types of sharing:

http://demo.redmine.org/projects/milestoned/settings/versions

http://demo.redmine.org/projects/milestoned/issues/gantt

and a subproject with issues depending on these versions:

http://demo.redmine.org/projects/milestoned-1/issues/gantt

Related issues:

Related to Redmine - Defect #6604: Issues targeted at parent project versions... Closed 2010-10-07

Related to Redmine - Defect #6476: Subproject's issues are not shown in the s... Closed 2010-09-23

Related to Redmine - Patch #7456: Gantt filters New 2011-01-26

Associated revisions

Revision 5077 - 2011-03-10 19:07 - Jean-Philippe Lang

Gantt: do not ignore project filter (#7000, #7352), do not display empty projects/versions, and display shared versions used in other projects (#5817,

#6476, #6604).

History

#1 - 2010-07-05 15:12 - Yuki Kita

- File query.rb.diff added

Fixed.

#2 - 2010-08-05 16:17 - GM 77

Thank you very much.  Indeed your patch fixed that issue in v1.0.0 and I've not observed any side effects so far.

So is there any chance to get it into trunk or even v1.0.1?

#3 - 2010-08-23 01:16 - Burt Culver

+1 would like this in the trunk, too.

#4 - 2010-10-03 15:13 - Mischa The Evil

- Category changed from Projects to Gantt

#5 - 2011-01-26 18:16 - Etienne Massip

Could someone try this patch at #7456 ?

#6 - 2011-03-10 19:15 - Jean-Philippe Lang

- Status changed from New to Closed
- Target version set to 1.2.0

- Resolution set to Fixed

Fixed in r5077.

Files

query.rb.diff 600 Bytes 2010-07-05 Yuki Kita
